MD5SUM(1)

NOMBRE
md5sum - genera o comprueba las sumas de control MD5

SINOPSIS
md5sum [-bv] [-c [nombre_archivo]] | [nombre_archivo...]

DESCRIPCIÓN
md5sum genera o comprueba las sumas de control MD5. El algoritmo que genera las sumas de control es razonablemente rápido y robusto para la mayoría de los casos. Las especificaciones exactas del algoritmo están en RFC 1321.

Normalmente md5sum genera las sumas de control de todos los archivos que se le pasan como argumentos e imprime las sumas de control seguidas de los nombres de los archivos. Sin embargo si se especifica el parámetro -c , solo un nombre de archivo es permitido como parámetro. Este fichero debe de contener las sumas de control y los nombres de archivo a las que estas se refieren, entonces los ficheros listados en el archivo son comprobados con las sumas de control especificadas. Ver opción -c para mas información.

  OPCIONES

-b  Usar modo binario. En Unix, la única diferencia entre este modo y el normal es un asterisco que precede al nombre del fichero en la salida de la ejecución del comando.

-c  Comprueba la suma de control md5 de todos los archivos listados en el archivo con la suma de control que aparece listada en el mismo fichero. El formato actual de este archivo es el mismo que la salida de md5sum. Esto es, cada linea en el archivo describe un fichero, y tiene dos campos, que son:

    <Suma de control MD5> <nombre_archivo>

    Entonces, por ejemplo, si se crea un fichero y se calcula su suma de control como sigue:

    echo foo > md5-fichero-prueba; md5sum md5-fichero-prueba

    md5sum devolverá:

    d3b07384d113edec49eaa6238ad5ff00 md5-fichero-prueba

-v  Ser mas explicativo. Imprimir nombres de archivo (con -c).

FALLOS
El relacionado algoritmo MD4 fue crackeado en octubre de 1995. MD5 no parece tan seguro como antes.

Esta pagina del manual no es muy precisa y tiene un formato inconsistente con otras paginas del manual.

md5sum no acepta opciones estándar como --help.

AUTOR

md5sum fue originalmente escrito por Branko Lankester, y modificado después por Colin Plumb y Ian Jackson (ijackson@gnu.ai.mit.edu). La pagina del manual fue agregada por Juho Vuori (javuori@cc.helsinki.fi) y traducida por Rubén Porras (nahoo@inicia.es)